<?php

/**
 * This file is part of OXID eShop Community Edition.
 *
 * OXID eShop Community Edition is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OXID eShop Community Edition is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OXID eShop Community Edition.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @see           http://www.oxid-esales.com
 *
 * @copyright (C) OXID eSales AG 2003-2016
 *
 * @version       OXID eShop CE
 */

/**
 * Admin order overview manager.
 * Collects order overview information, updates it on user submit, etc.
 * Admin Menu: Orders -> Display Orders -> Overview.
 */
class ekomiintegration_Order_Overview extends ekomiintegration_Order_Overview_parent
{
    const EKOMI_API_URL = 'https://srr.ekomi.com/add-recipient';

    /**
     * Renders orderview template.
     *
     * @return mixed
     */
    public function render()
    {
        $return = parent::render();

        return $return;
    }

    /**
     * Sends order data to ekomi.
     *
     * This method triggers whenever an order is shipped.
     */
    public function sendorder()
    {
        parent::sendorder();
        $ekomiExportOrdersHelper = new ekomiExportOrdersHelper();
        $ekomiExportOrdersHelper->exportOrder($this->getEditObjectId(), ekomiIntegrationModule::ORDER_STATUS_SHIPPED);
    }

    /**
     * Triggers when order folder is changed.
     */
    public function changeFolder()
    {
        parent::changeFolder();
        $sFolder = oxRegistry::getConfig()->getRequestParameter('setfolder');
        $ekomiExportOrdersHelper = new ekomiExportOrdersHelper();
        $configurations = ekomiIntegrationModule::getConfigurationData();
        if ($sFolder == $configurations['status']) {
            $ekomiExportOrdersHelper->exportOrder($this->getEditObjectId(), $sFolder);
        }
    }
}
