<?php

/**
 * Class ekomiintegrationCron.
 */
class ekomiintegrationCron extends oxUBase
{
    /**
     * @var string
     */
    protected $_sThisTemplate = 'ekomiintegrationcron.tpl';

    /**
     * Adds the text to the message.
     *
     * @param $sText
     */
    protected function _addToMessages($sText)
    {
        $aViewData = $this->getViewData();
        $aViewData['sMessage'] = isset($aViewData['sMessage']) ? $aViewData['sMessage'] . $sText : $sText;
        $this->setViewData($aViewData);
    }

    /**
     * @return string|null
     */
    public function render()
    {
        set_time_limit(3600);

        return $this->_sThisTemplate;
    }

    /**
     * Gets DB instance.
     *
     * @return \OxidEsales\Eshop\Core\Database\Adapter\DatabaseInterface
     *
     * @throws \OxidEsales\Eshop\Core\Exception\DatabaseConnectionException
     */
    protected function _getDB()
    {
        return oxDb::getDb(oxDb::FETCH_MODE_ASSOC);
    }

    /**
     * Exports orders.
     *
     * @throws \OxidEsales\Eshop\Core\Exception\DatabaseConnectionException
     * @throws \OxidEsales\Eshop\Core\Exception\DatabaseErrorException
     */
    public function exportOrders()
    {
        $configurations = ekomiIntegrationModule::getConfigurationData();
        if (ekomiIntegrationModule::EXPORT_METHOD_CRON === $configurations['exportMethod']) {
            $ekomiExportOrdersHelper = new ekomiExportOrdersHelper();
            $message = $ekomiExportOrdersHelper->exportOrderCron($configurations);
            $this->_addToMessages($message);
        }
    }
}
