<?php

/**
 * Class EkomiIntegrationOxOrder
 * Extends oxModule class handles module setup, provides additional tools.
 */
class EkomiIntegrationOrder extends EkomiIntegrationOrder_parent
{
    /**
     * Intercepts finalizeOrder method call to send KRYD complete event.
     *
     * @param \OxidEsales\Eshop\Application\Model\Basket $oBasket
     * @param                                            $oUser
     * @param bool                                       $blRecalculatingOrder
     *
     * @return mixed
     *
     * @throws \OxidEsales\Eshop\Core\Exception\DatabaseConnectionException
     * @throws \OxidEsales\Eshop\Core\Exception\DatabaseErrorException
     */
    public function finalizeOrder(
        OxidEsales\Eshop\Application\Model\Basket $oBasket,
        $oUser,
        $blRecalculatingOrder = false
    ) {
        $err = parent::finalizeOrder($oBasket, $oUser, $blRecalculatingOrder);
        $ekomiExportOrdersHelper = new ekomiExportOrdersHelper();
        if ($err <= 1) {
            $ekomiExportOrdersHelper->exportOrder(
                $this->oxorder__oxid->value,
                ekomiIntegrationModule::ORDER_STATUS_CREATED
            );
        }

        return $err;
    }
}
