<?php
/**
 * Metadata version.
 */
$sMetadataVersion = '1.1';

$descriptionEn
    = 'This plugin allows you to integrate your OXID eShop easily with eKomi system to collect verified reviews.';
$descriptionEn .= '<br/> Before installing and activating your plugin, please ';
$descriptionEn .= "<a style='color: #2da137; text-decoration: underline;' ";
$descriptionEn .= "href='https://store.ekomiapps.de/en/register' target='_blank'>Register</a> ";
$descriptionEn .= 'or contact support@ekomi-group.com, this is necessary';
$descriptionEn .= " to ensure everything has been set up correctly and activated from eKomi's side.";
$descriptionDe
    = 'Diese plugin erlaubt es Ihnen Ihren OXID eShop ganz einfach im eKomi System zu integrieren um verifizierte';
$descriptionDe .= ' Rezensionen zu sammeln.<br/>  Bevor Sie Ihr plugin installieren und aktivieren kontaktieren oder ';
$descriptionDe .= "<a style='color: #2da137; text-decoration: underline;' ";
$descriptionDe .= "href='https://store.ekomiapps.de/en/register' target='_blank'>Registrieren</a>";
$descriptionDe .= 'Sie bitte support@ekomi-group.com, dies ist notwendig damit sichergestellt werden kann dass von eKomis Seite her alles ';
$descriptionDe .= 'richtig aufgesetzt und aktiviert wurde.';

/**
 * Turnaround times.
 */
$turnaroundTimes = '1|2|3|4|5|6|7|8|9|10|15|20|25|30';

/**
 * Product Identifiers.
 */
$productIdentifiers = 'ARTNUM|EAN|DISTEAN|MPN';

/**
 * Order status - Shipped.
 */
const ORDER_STATUS_SHIPPED = 'Shipped';

/**
 * Load order statuses dynamically.
 */
$aFolders = oxRegistry::getConfig()->getConfigParam('aOrderfolder');
$orderStatuses = ORDER_STATUS_SHIPPED;
foreach ($aFolders as $key => $value) {
    $orderStatuses .= '|' . $key;
}

/**
 * Module information.
 */
$aModule = array(
    'id' => 'ekomiintegration',
    'title' => array(
        'de' => 'eKomi Integration',
        'en' => 'eKomi Integration',
    ),
    'description' => array(
        'en' => $descriptionEn,
        'de' => $descriptionDe,
    ),
    'thumbnail' => 'out/pictures/logo.jpg',
    'version' => '4.0.4',
    'author' => 'eKomi Ltd',
    'url' => 'https://www.ekomi.de/',
    'email' => 'support@ekomi-group.com',
    'extend' => array(
        'oxorder' => 'ekomi/ekomiintegration/controllers/ekomiintegrationorder',
        'order_overview' => 'ekomi/ekomiintegration/controllers/admin/ekomiintegration_order_overview',
    ),
    'files' => array(
        'ekomiintegrationmodule' => 'ekomi/ekomiintegration/core/ekomiintegrationmodule.php',
        'ekomismartwidget' => 'ekomi/ekomiintegration/components/widgets/ekomismartwidget.php',
        'ekomiintegrationorderoverviews' => 'ekomi/ekomiintegration/controllers/admin/ekomiintegration_order_overview.php',
        'ekomiintegrationhelper' => 'ekomi/ekomiintegration/helpers/ekomiintegrationhelper.php',
        'ekomiexportordershelper' => 'ekomi/ekomiintegration/helpers/ekomiexportordershelper.php',
        'ekomiintegrationcron' => 'ekomi/ekomiintegration/controllers/ekomiintegrationcron.php',
    ),
    'events' => array(
        'onActivate' => 'ekomiIntegrationModule::onActivate',
        'onDeactivate' => 'ekomiIntegrationModule::onDeactivate',
    ),
    'templates' => array(
        'ekomismartwidget.tpl' => 'ekomi/ekomiintegration/views/widgets/ekomismartwidget.tpl',
        'ekomiintegrationcron.tpl' => 'ekomi/ekomiintegration/views/ekomiintegrationcron.tpl',
    ),
    'blocks' => array(),
    'settings' => array(
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigShopId',
            'type' => 'str',
            'value' => '',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigShopPw',
            'type' => 'str',
            'value' => '',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigMode',
            'type' => 'select',
            'constraints' => 'SMS|Email|FallBack',
            'value' => 'Email',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigStatus',
            'type' => 'select',
            'constraints' => $orderStatuses,
            'value' => 'Shipped',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigExportMethod',
            'type' => 'select',
            'constraints' => 'hook|cron',
            'value' => 'hook',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigTurnaroundTime',
            'type' => 'select',
            'constraints' => $turnaroundTimes,
            'value' => '7',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigProductIdentifier',
            'type' => 'select',
            'constraints' => $productIdentifiers,
            'value' => 'ARTNUM',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigExcludeProducts',
            'type' => 'str',
            'value' => '',
        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigProductReviews',
            'type' => 'bool',
            'value' => 'false',
        ),
//        array(
//            'group' => 'ekomiintegrationConfig',
//            'name' => 'ekomiConfigShowPrcWidget',
//            'type' => 'bool',
//            'value' => 'false',
//        ),
//        array(
//            'group' => 'ekomiintegrationConfig',
//            'name' => 'ekomiConfigPrcWidgetToken',
//            'type' => 'str',
//            'value' => '',
//        ),
        array(
            'group' => 'ekomiintegrationConfig',
            'name' => 'ekomiConfigTermsAndConditions',
            'type' => 'bool',
            'value' => true,
        ),
    ),
);
